#63 ping pong

closed-fixed
None
5
2009-12-01
2009-08-22
Anonymous
No

my server windows get spammed with ping pong messages. is there a way to make those invisible ? my mirc is set to make those invisible and I never saw them with previous bouncers I used but with znc they are back.

Discussion

  • Psychon

    Psychon - 2009-08-22

    How often do they happen? Is there always the same interval between them?

     
  • Nobody/Anonymous

    they seem to not have consistency e.g:

    16:51, 16:57, 17:07, 17:16, 17:26, 17:35, 17:45, 17:48, 18:04, 18:13 etc. someone suggested it might be cause I'm using a fairly old version of mirc (6.16) but I've been happy using it for a long time and I see no reason to change it.

     
  • Nobody/Anonymous

    0.74

    [07:24:51] * PONG from irc.inet.tele.dk: ZNC
    -
    [07:31:21] * PONG from irc.inet.tele.dk: ZNC
    -
    [07:34:50] * PONG from irc.inet.tele.dk: ZNC
    -
    [07:59:50] * PONG from irc.inet.tele.dk: ZNC
    -
    [08:06:20] * PONG from irc.inet.tele.dk: ZNC
    -
    [08:11:20] * PONG from irc.inet.tele.dk: ZNC
    -
    [08:15:50] * PONG from irc.inet.tele.dk: ZNC
    -
    [08:19:20] * PONG from irc.inet.tele.dk: ZNC
    -
    [08:24:20] * PONG from irc.inet.tele.dk: ZNC
    -
    [08:53:20] * PONG from irc.inet.tele.dk: ZNC
    -
    [09:01:50] * PONG from irc.inet.tele.dk: ZNC

    0.70 didnt do this. Happens on any irc network.

     
  • Pixelz

    Pixelz - 2009-11-24

    I'm having the same thing after I upgraded from 070 to 076.

    Log:

    12:26:30 <- PING :ZNC
    12:26:30 -> irc.stealth.no PONG :ZNC
    12:28:49 <- :irc.stealth.no PONG irc.stealth.no :ZNC
    12:29:49 <- PING :ZNC
    12:29:49 -> irc.stealth.no PONG :ZNC
    12:32:19 <- :irc.stealth.no PONG irc.stealth.no :ZNC
    12:33:19 <- PING :ZNC
    12:33:19 -> irc.stealth.no PONG :ZNC
    12:35:49 <- :irc.stealth.no PONG irc.stealth.no :ZNC
    12:36:49 <- PING :ZNC
    12:36:49 -> irc.stealth.no PONG :ZNC
    12:39:19 <- :irc.stealth.no PONG irc.stealth.no :ZNC

    As can be seen above, ZNC sends "PONG" to the client every so often, while it should send "PING". mIRC sees this as the connecting might be dead and sends a PING itself, resulting in the PONG reply from ZNC showing up in the status window.

     
  • Pixelz

    Pixelz - 2009-11-24

    Seems I was reading my own log wrong. Anyway, it seems that the problem is caused by PONGs from the IRC server is sent to the client instead of being blocked.

     
  • SilverLeo

    SilverLeo - 2009-12-01

    This has been fixed and committed to cvs.

     
  • SilverLeo

    SilverLeo - 2009-12-01
    • assigned_to: nobody --> silverleo
    • status: open --> closed-fixed
     
  • SilverLeo

    SilverLeo - 2009-12-01

    Fixed in svn r1668.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks